// 新建员工数据访问类
import org.apache.hadoop.hbase.client.*;
import org.apache.hadoop.hbase.util.Bytes;
import java.io.*;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.*;

public class EmployeeDAO {
    private static final String[] CF_ARRAY = {"empnum", "info", "salary", "performance", "training"};

    public void insertData(String filePath) throws IOException, NoSuchAlgorithmException {
        try(Table table = HBaseConnectionManager.getConnection().getTable(TableName.valueOf("emp1520"))) {
            BufferedReader br = new BufferedReader(new FileReader(filePath));
            String line;
            while ((line = br.readLine()) != null) {
                String[] emp = line.split(",");
                if (emp.length < 12) continue;
                
                String rowKey = generateRowKey(emp[0]);
                Put put = new Put(Bytes.toBytes(rowKey));
                table.put(put);
            }
            br.close();
        }
        System.out.println("Data inserted successfully!");
    }

    private String generateRowKey(String empno) throws NoSuchAlgorithmException {
    }

    public void queryById() throws IOException {
    }

    public void queryByPerformance() throws IOException {
    }

    public void queryRecentPromotion() throws IOException {
    }
}